s4:auth/gensec: remove unused dependencies to gensec_util
authorStefan Metzmacher <metze@samba.org>
Thu, 29 Dec 2016 16:16:22 +0000 (17:16 +0100)
committerStefan Metzmacher <metze@samba.org>
Tue, 10 Jan 2017 12:54:17 +0000 (13:54 +0100)
gensec_util only contains gensec_tstream and is already a public_dep
of 'gensec' itself.

Signed-off-by: Stefan Metzmacher <metze@samba.org>
Reviewed-by: Andreas Schneider <asn@samba.org>
source4/auth/gensec/wscript_build

index a1d30a94af9bd214e4003d0e5c2f22daa84c9aba..098826af876fd1a21871d89ba806d697ae30892e 100755 (executable)
@@ -13,7 +13,7 @@ bld.SAMBA_MODULE('gensec_krb5',
        source='gensec_krb5.c ' + gensec_krb5_sources,
        subsystem='gensec',
        init_function='gensec_krb5_init',
-       deps='samba-credentials authkrb5 com_err gensec_util',
+       deps='samba-credentials authkrb5 com_err',
        internal_module=False,
         enabled=bld.AD_DC_BUILD_IS_ENABLED()
        )
@@ -23,7 +23,7 @@ bld.SAMBA_MODULE('gensec_gssapi',
        source='gensec_gssapi.c',
        subsystem='gensec',
        init_function='gensec_gssapi_init',
-       deps='gssapi samba-credentials authkrb5 com_err gensec_util'
+       deps='gssapi samba-credentials authkrb5 com_err'
        )
 
 bld.SAMBA_PYTHON('pygensec',